[Numpy-discussion] installation problem on Red Hat

Christoph Göbl christoph_goebl@hotmail....
Fri Oct 24 04:49:39 CDT 2008


dear members,
 
I'm very sorry to bother you with a (hopefully) simple problem...
I need pyhton and the numerical package to run another program.
I installed Python, it works fine. But I can't install the numpy package. To install the oder Numeric package was no problem, but I need the newer numpy...
 
after 
 
"python setup.py install"
 
I get an error message after sime while:
 ...
compiling C sources
C compiler: gcc -pthread -fno-strict-aliasing -DNDEBUG -g -fwrapv -O3 -Wall -Wstrict-prototypes -fPIC
 
compile options: '-DNO_ATLAS_INFO=1 -Inumpy/core/include -Ibuild/src.linux-x86_64-2.5/numpy/core/include/numpy -Inumpy/core/src -Inumpy/core/include -I/usr/local/include/python2.5 -c'
/usr/local/bin/g77 -g -Wall -g -Wall -shared build/temp.linux-x86_64-2.5/numpy/linalg/lapack_litemodule.o build/temp.linux-x86_64-2.5/numpy/linalg/python_xerbla.o -L/usr/lib -llapack -lblas -lg2c -o build/lib.linux-x86_64-2.5/numpy/linalg/lapack_lite.so
/usr/bin/ld: skipping incompatible /usr/lib/liblapack.so when searching for -llapack
/usr/bin/ld: skipping incompatible /usr/lib/liblapack.a when searching for -llapack
/usr/bin/ld: skipping incompatible /usr/lib/libblas.so when searching for -lblas
/usr/bin/ld: skipping incompatible /usr/lib/libblas.a when searching for -lblas
/usr/bin/ld: skipping incompatible /usr/lib/libg2c.so when searching for -lg2c
/usr/bin/ld: skipping incompatible /usr/lib/libg2c.a when searching for -lg2c
/usr/bin/ld: skipping incompatible /usr/lib/libfrtbegin.a when searching for -lfrtbegin
/usr/bin/ld: skipping incompatible /usr/lib/libg2c.so when searching for -lg2c
/usr/bin/ld: skipping incompatible /usr/lib/libg2c.a when searching for -lg2c
/usr/bin/ld: cannot find -lgcc_s
collect2: ld returned 1 exit status
/usr/bin/ld: skipping incompatible /usr/lib/liblapack.so when searching for -llapack
/usr/bin/ld: skipping incompatible /usr/lib/liblapack.a when searching for -llapack
/usr/bin/ld: skipping incompatible /usr/lib/libblas.so when searching for -lblas
/usr/bin/ld: skipping incompatible /usr/lib/libblas.a when searching for -lblas
/usr/bin/ld: skipping incompatible /usr/lib/libg2c.so when searching for -lg2c
/usr/bin/ld: skipping incompatible /usr/lib/libg2c.a when searching for -lg2c
/usr/bin/ld: skipping incompatible /usr/lib/libfrtbegin.a when searching for -lfrtbegin
/usr/bin/ld: skipping incompatible /usr/lib/libg2c.so when searching for -lg2c
/usr/bin/ld: skipping incompatible /usr/lib/libg2c.a when searching for -lg2c
/usr/bin/ld: cannot find -lgcc_s
collect2: ld returned 1 exit status
error: Command "/usr/local/bin/g77 -g -Wall -g -Wall -shared build/temp.linux-x86_64-2.5/numpy/linalg/lapack_litemodule.o build/temp.linux-x86_64-2.5/numpy/linalg/python_xerbla.o -L/usr/lib -llapack -lblas -lg2c -o build/lib.linux-x86_64-2.5/numpy/linalg/lapack_lite.so" failed with exit status 1
 ...
I don't know, what I can do... On a Suse 10.2 it ran easily, but on the other computer, Red Hat 3.4.3_9, X86_64, gcc 3.4.3 there is always this error message.
I read in another forum, that a person solved a similar problem using
 
unsetenv ldflags
 
But - sorry I'm a Newbie in Linux and Python - there the installation was on another platform I think. 
Anyway, maybe it's a linking problem?
 
thank you very much for any thoughts you may waste on my problems...
best regards,
Christoph

_________________________________________________________________
Hol dir 30 kostenlose Emoticons für deinen Windows Live Messenger
http://www.livemessenger-emoticons.com/funfamily/de-at/


More information about the Numpy-discussion mailing list